"""task table

Revision ID: 1a25b0e1fede
Revises: 
Create Date: 2020-05-21 10:29:24.853185

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '1a25b0e1fede'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('task',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('type', sa.String(length=64), nullable=True),
    sa.Column('username', sa.String(length=64), nullable=True),
    sa.Column('body', sa.String(length=300), nullable=True),
    sa.Column('hash', sa.String(length=300), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_task_body'), 'task', ['body'], unique=False)
    op.create_index(op.f('ix_task_hash'), 'task', ['hash'], unique=False)
    op.create_index(op.f('ix_task_type'), 'task', ['type'], unique=False)
    op.create_index(op.f('ix_task_username'), 'task', ['username'], unique=False)
    op.create_table('result',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('server', sa.String(length=140), nullable=True),
    sa.Column('body', sa.String(length=3000), nullable=True),
    sa.Column('timestamp', sa.DateTime(), nullable=True),
    sa.Column('task_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['task_id'], ['task.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_result_body'), 'result', ['body'], unique=False)
    op.create_index(op.f('ix_result_timestamp'), 'result', ['timestamp'], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_result_timestamp'), table_name='result')
    op.drop_index(op.f('ix_result_body'), table_name='result')
    op.drop_table('result')
    op.drop_index(op.f('ix_task_username'), table_name='task')
    op.drop_index(op.f('ix_task_type'), table_name='task')
    op.drop_index(op.f('ix_task_hash'), table_name='task')
    op.drop_index(op.f('ix_task_body'), table_name='task')
    op.drop_table('task')
    # ### end Alembic commands ###
